CMSIS-DAP: CMSIS-DAP Hardware Status LEDs

| CMSIS-DAP Version 2.0.0 Interface Firmware for CoreSight Debug Access Port

- Main Page
- Usage and Description
- Reference

All Functions Groups Pages
Functions
CMSIS-DAP Hardware Status LEDs
Configure I/O Ports and Debug Unit

CMSIS-DAP Hardware may provide LEDs that indicate the status of the CMSIS-DAP Debug Unit. More...

## Functions

__STATIC_INLINE void | LED_CONNECTED_OUT (uint32_t bit)
| Debug Unit: Set status of Connected LED. More...
__STATIC_INLINE void | LED_RUNNING_OUT (uint32_t bit)
| Debug Unit: Set status Target Running LED. More...

## Description

CMSIS-DAP Hardware may provide LEDs that indicate the status of the CMSIS-DAP Debug Unit.

It is recommended to provide the following LEDs for status indication:

- Connect LED: is active when the DAP hardware is connected to a debugger.
- Running LED: is active when the debugger has put the target device into running state.

## Function Documentation

__STATIC_INLINE void LED_CONNECTED_OUT | ( | uint32_t | bit | ) |

Debug Unit: Set status of Connected LED.

Parameters

  bit

  status of the Connect LED.
  - 1: Connect LED ON: debugger is connected to CMSIS-DAP Debug Unit.
  - 0: Connect LED OFF: debugger is not connected to CMSIS-DAP Debug Unit.

__STATIC_INLINE void LED_RUNNING_OUT | ( | uint32_t | bit | ) |

Debug Unit: Set status Target Running LED.

Parameters

  bit

  status of the Target Running LED.
  - 1: Target Running LED ON: program execution in target started.
  - 0: Target Running LED OFF: program execution in target stopped.